Ingest Audit Record
curl --request POST \
--url https://api.example.com/api/audit-trail/ingest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "<string>",
"summary": "<string>",
"category": "external",
"severity": "low",
"application_id": "<string>",
"application_key": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"actor": "<string>",
"params": {},
"metadata": {}
}
'import requests
url = "https://api.example.com/api/audit-trail/ingest"
payload = {
"event_type": "<string>",
"summary": "<string>",
"category": "external",
"severity": "low",
"application_id": "<string>",
"application_key": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"actor": "<string>",
"params": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_type: '<string>',
summary: '<string>',
category: 'external',
severity: 'low',
application_id: '<string>',
application_key: '<string>',
entity_type: '<string>',
entity_id: '<string>',
actor: '<string>',
params: {},
metadata: {}
})
};
fetch('https://api.example.com/api/audit-trail/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"event_type": "<string>",
"category": "<string>",
"summary": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"actor": "<string>",
"application_id": "<string>",
"application_key": "<string>",
"application": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"accent_color": "<string>",
"param_count": 0
},
"entity_type": "<string>",
"entity_id": "<string>",
"severity": "low",
"params": {},
"metadata": {},
"ip_address": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}audit-trail
Ingest Audit Record
Public webhook ingest — authenticated via X-Blindsight-Audit-Token.
External systems POST audit records (including their custom params) here to submit them into the Blindsight audit trail.
POST
/
api
/
audit-trail
/
ingest
Ingest Audit Record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cookies
Body
application/json
Required string length:
1 - 64Pattern:
^[a-z][a-z0-9_]*$Response
Successful Response
Show child attributes
Show child attributes
Available options:
critical, high, medium, low, none ⌘I

